View Issue Details

IDProjectCategoryView StatusLast Update
0001604Far ManagerPlugins APIpublic2012-01-29 16:30
ReporterMaximusAssigned Tozg 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001604: Падение в PluginSynchro::Process если плагин уже выгружен
DescriptionПроисходит следующее
1. пользователь вводит в ком.строке "unload:<плагин>"
2. в это же время плагин вызывает ACTL_SYNCHRO
3. после этого происходит выгрузка плагина, вызывается ExitFarW
4. запускается цикл PluginSynchro::Process, в котором используется дескриптор уже выгруженного плагина

хорошо бы перед вызовом pPlugin->ProcessSynchroEvent проверять валидность pPlugin... например, как в патче
TagsNo tags attached.
Build1842

Activities

Maximus

2010-11-27 02:40

reporter  

101126.diff (1,568 bytes)
101126.diff (1,568 bytes)

Maximus

2011-12-31 14:49

reporter   bugnote:0008298

Патч был выложен более года назад.
Реакция - нулевая, почему?

vskirdin

2011-12-31 18:20

administrator   bugnote:0008300

Видимо в общей массе потерялся :-)

alexy

2011-12-31 18:53

administrator   bugnote:0008301

Ну это какой то костыль, надо как то лучше сделать мне кажеться.

zg

2012-01-29 16:03

developer   bugnote:0008501

вообще-то баг исправлен в
zg 09.02.2011 03:42:44 +0200 - build 1842

Issue History

Date Modified Username Field Change
2010-11-27 02:40 Maximus New Issue
2010-11-27 02:40 Maximus File Added: 101126.diff
2011-12-31 14:49 Maximus Note Added: 0008298
2011-12-31 18:20 vskirdin Note Added: 0008300
2011-12-31 18:53 alexy Note Added: 0008301
2011-12-31 18:53 alexy Assigned To => zg
2011-12-31 18:53 alexy Status new => assigned
2012-01-29 16:03 zg Note Added: 0008501
2012-01-29 16:30 alexy Build => 1842
2012-01-29 16:30 alexy Status assigned => closed
2012-01-29 16:30 alexy Resolution open => fixed
2012-01-29 16:30 alexy Fixed in Version => 3.0